// IUIRunDataCallBack.aidl
package com.lemon.running;

// Declare any non-default types here with import statements
import com.lemon.running.LocationBeen;

interface IUIRunDataCallBack {

    /**
     * 跑步时间回调
     * @param time
     */
    void onTimeChange(long time);

    /**
     * 跑步距离回调
     * @param distance
     */
    void onDistanceChange(int distance);

    /**
     * 跑步速度回调
     * @param speed
     */
    void onSpeedChange(float speed);

    /**
     * 有效定位点回调
     * @param points
     */
    void onLocationChange(in List<LocationBeen> points);

    /**
     * 有效定位点回调 一个点
     * @param points
     */
    void onLocationChangeOnlyOne(inout LocationBeen point);

    /**
     * 跑步结束(跑房)
     */
    void onIsTimeToStop();
}
